=== modified file 'EventBubble.qml'
--- EventBubble.qml	2014-06-10 12:28:31 +0000
+++ EventBubble.qml	2014-06-21 03:37:43 +0000
@@ -95,7 +95,7 @@
     }
 
     function layoutBubbleDetails() {
-        if(!flickable || flickable === undefined ) {
+        if( !flickable || flickable === undefined ) {
             return;
         }
 
@@ -118,8 +118,6 @@
     Item {
         id: detailsItems
 
-        visible: flickable
-
         width: parent.width
         height: detailsColumn.height
 

=== modified file 'TimeLineBase.qml'
--- TimeLineBase.qml	2014-06-07 04:13:31 +0000
+++ TimeLineBase.qml	2014-06-21 03:37:43 +0000
@@ -34,6 +34,7 @@
         id: intern
         property var now : new Date();
         property var eventMap;
+        property var unUsedEvents: new Array;
     }
 
     function showEventDetails(event) {
@@ -65,7 +66,7 @@
         if(!bubbleOverLay || bubbleOverLay == undefined) {
             return;
         }
-        destroyAllChildren();
+        //destroyAllChildren();
 
         var eventMap = {};
         var allSchs = [];
@@ -100,15 +101,22 @@
             }
             children[i].visible = false;
             if( children[i].objectName !== "separator") {
-                children[i].destroy();
+                //children[i].destroy();
+                intern.unUsedEvents.push(children[i])
             }
         }
     }
 
     function createEvent( event, x, width ) {
+
+        var eventBubble;
+        if( intern.unUsedEvents.length == 0) {
+            eventBubble = delegate.createObject(bubbleOverLay);
+        } else {
+            eventBubble = intern.unUsedEvents.pop();
+        }
+
         var hour = event.startDateTime.getHours();
-        var eventBubble = delegate.createObject(bubbleOverLay);
-
         var yPos = (( event.startDateTime.getMinutes() * hourHeight) / 60) + hour * hourHeight
         eventBubble.y = yPos;
 
@@ -120,6 +128,7 @@
         eventBubble.x = x;
         eventBubble.width = width;
         eventBubble.event = event
+        eventBubble.visible = true;
         eventBubble.clicked.connect( bubbleOverLay.showEventDetails );
     }
 

=== modified file 'TimeLineBaseComponent.qml'
--- TimeLineBaseComponent.qml	2014-06-13 13:55:33 +0000
+++ TimeLineBaseComponent.qml	2014-06-21 03:37:43 +0000
@@ -126,6 +126,13 @@
                         delegate: comp
                         day: startDay.addDays(index)
 
+                        Connections{
+                            target: mainModel
+                            onStartPeriodChanged:{
+                                destroyAllChildren();
+                            }
+                        }
+
                         model: mainModel
                         Component.onCompleted: {
                             model.addModelChangeListener(createEvents);

=== modified file 'TimeLineHeader.qml'
--- TimeLineHeader.qml	2014-04-12 04:02:41 +0000
+++ TimeLineHeader.qml	2014-06-21 03:37:43 +0000
@@ -38,21 +38,15 @@
             }
         }
 
-        startDay: getStartDate();
+        startDay: {
+            (type == ViewType.ViewTypeWeek) ?
+                date.addDays(7*header.indexType(index)) :
+                date.addDays(1*header.indexType(index));
+        }
 
         onDateSelected: {
             header.dateSelected(date);
         }
-
-        function getStartDate() {
-            var indexType = header.indexType(index);
-            switch(type) {
-            case ViewType.ViewTypeWeek:
-                return date.addDays(7*indexType);
-            case ViewType.ViewTypeDay:
-                return date.addDays(1*indexType);
-            }
-        }
     }
 }
 

